apiVersion: v1
kind: Service
metadata:
  name: emrv2-dev-fe-service
spec:
  type: NodePort
  selector:
    app: emrv2-dev-frontend
    tier: frontend
  ports:
  - name: dev-fe-port
    protocol: TCP
    port: 8001
    targetPort: 80
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: emrv2-dev-frontend
spec:
  selector:
    matchLabels:
      app: emrv2-dev-frontend
      tier: frontend
      track: stable
  replicas: 2
  template:
    metadata:
      labels:
        app: emrv2-dev-frontend
        tier: frontend
        track: stable
    spec:
      containers:
        - name: emrv2-dev-frontend
          image: "gcr.io/emr-v2/emrv2-frontend-dev:095c20b06baf3418f496a78e04a0a8984bcf873b"
          ports:
            - name: http
              containerPort: 80
          env:
            - name: PROJECT_ID
              value: emr-v2